/* -*- mode: C++; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

//3 dimensions of threads blocks (X,Y,Z) and 2 dimensions of blocks grids (X,Y)
#define X_BLOCK 16
#define Y_BLOCK 1
#define Z_BLOCK 1
#define X_GRID  64
#define Y_GRID  1 

//test for fp multiplication
#define BENCHMARK_FP_ARITHMETIC
#define FP_MULTIPLICATION

//number of multiplications a = a * b to be performed
#define NB_OPERATIONS 10000

//number of threads in blocks
const int BLOCK_SIZE = X_BLOCK*Y_BLOCK*Z_BLOCK;

//total number of threads in launch
const int NUMBER_THREADS = X_BLOCK*Y_BLOCK*Z_BLOCK*X_GRID*Y_GRID;

//compile and launch version using texture - doesn't work 
//#define __UseTex
const uint N = 192;

#include "launch_benchmark.cu"
